cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;

        this.PBHelper = new(require('./pbhelper'))();
        this.PB = this.PBHelper.loadFile('resources/proto', 'protobuf');
        console.log("---this.PB---", this.PB);
    },

    // called every frame
    update: function (dt) {

    },
});
